{% extends 'base.html' %}

{% block head %}

<link rel="alternate" type="application/rss+xml" title="{{ config['MYSERVER_NAME_SHORT'] }}:Videos" \
href="https://{{ config['MYSERVER_NAME'] }}/feed">
<link rel="alternate" type="application/rss+xml" title="{{ config['MYSERVER_NAME_SHORT'] }}:Channels" \
href="https://{{ config['MYSERVER_NAME'] }}/channel/feed">
<link rel="alternate" type="application/rss+xml" title="{{ config['MYSERVER_NAME_SHORT'] }}:Channels:Deleted" \
href="https://{{ config['MYSERVER_NAME'] }}/channel/deleted/feed">
<link rel="alternate" type="application/rss+xml" title="{{ config['MYSERVER_NAME_SHORT'] }}:Channels:E. Michael Jones" \
href="https://{{ config['MYSERVER_NAME'] }}/channel/UCqu-4AY-501xV5iCtt7dMKQ/feed">
<link rel="alternate" type="application/rss+xml" title="{{ config['MYSERVER_NAME_SHORT'] }}:Channels:American Renaissance" \
href="https://{{ config['MYSERVER_NAME'] }}/channel/UCMLbmp5tcLxzahMLTmeM4lg/feed">

<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">

<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}">
<meta property="og:title" content="{{ videocount | viewdisplay }}+ Censored YouTube Videos; {{ delchannelcount | viewdisplay }} Deleted Channels">
<meta property="og:description" content="'together we show what they hide'">
<meta property="og:type" content="article">
<meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">
<meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">

{% endblock %}

{% block content %}
    {% with active_nav='video' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-10-24">
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <i class='ion-logo-youtube'  style="font-size: 24px"></i>
                        <a href="{{ url_for('video.feed') }}">
                            <i class='ion-logo-rss' style="font-size: 21px"></i>
                        </a>
                        <b>&nbsp;{{ videocount | commafy }}</b>
                    </div>
                </div>
                <div class="pure-u-4-24" style="text-align:center;">
                    <div class="pure-u-1 pure-md-1-1">
                    </div>
                </div>
                <div class="pure-u-10-24" style="text-align:right;">
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('video.index') }}" class="pure-menu-item {{'selected' if order == 'latest' }}">
                            {{ gettext('latest') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('video.new')}}" class="pure-menu-item {{'selected' if order == 'newest' }}">
                            {{ gettext('newest') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('video.popular') }}" class="pure-menu-item {{'selected' if order == 'popular' }}">
                            {{ gettext('popular') }}</a>
                    </div>
                </div>
            </div>
            <div class="h-box">
                <hr>
            </div>
        </div>
    </div>

{% with video=video, watchlater=watchlater %}
    {% include "widgets/videos.html" %}
{% endwith %}

{% if pagination %}
  {% with pagination=pagination %}
      {% include "widgets/pagination.html" %}
  {% endwith %}
{% endif %}

{% endblock %}
